Bug 681621 - Default email address provided for rhqadmin user fails email validation
Default email address provided for rhqadmin user fails email validation
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: gwt-admin-usersroles jon3
  Show dependency treegraph
 
Reported: 2011-03-02 13:49 EST by Corey Welton
Modified: 2013-08-05 20:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-03-02 13:49:34 EST
Description of problem:
The email address we provide for the rhqadmin user is 'rhqadmin@localhost'. This does not parse properly per the email address validator.  Thus, when trying to edit any properties (i.e., password) for that this user, one is unable to save the changes until something new is put in

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Login as rhqadmin or another user with admin rights.
2.  Administration > Users > rhqadmin
3.  Attempt to edit various fields.
  
Actual results:
As soon as page loads, the email address is flagged as invalid.  User is then unable to save any changes until that field is change.

Expected results:
We should probably make the default email address for the rhqadmin user something that can be at least correctly parsed as a valid email address, i.e.,  'rhqadmin@example.com'

Additional info:
I don't know how often customers actually change this email address or leave it as default.  However, they most likely probably change the rhqadmin user password right off the bat.  Thus, this is reasonably high visibility.
Comment 1 Ian Springer 2011-03-03 12:08:05 EST
Fixed by making the validation regexp accept email addresses with non-qualified hostnames, such as root@localhost - [master 4c250b2].
Comment 2 Corey Welton 2011-03-09 12:24:48 EST
Verified.
Comment 3 Corey Welton 2011-05-23 21:16:43 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:16:43 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:16:44 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:16:52 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.